const APP_DISPLAY_NAME = "DEV Chevereto";
const APP_NAME = "DEV Chevereto";
const APP_PACKAGE = "/Rolo/DEVCHEVERETO";
const APP_VERSION = "1.0";

const APP_JAR_FILE = "godlikea.jar";
const APP_CONTENT_FOLDER = "content/godlikea/";
const APP_LOCALE_FOLDER  = "locale/en-US/godlikea/";

const APP_SUCCESS_MESSAGE = "The " +APP_DISPLAY_NAME+ " was installed correctly."+"\n\n";


initInstall(APP_NAME, APP_PACKAGE, APP_VERSION);

var chromef;

if(confirm("Install in the application directorys?  (Cancel will install it on your profile)"))
  chromef = getFolder("Chrome");
else
  chromef = getFolder("Profile", "chrome");

var err = addFile(APP_PACKAGE, APP_VERSION, APP_JAR_FILE, chromef, null);

if(err >= SUCCESS) {
  var jar = getFolder(chromef, APP_JAR_FILE);
  registerChrome(CONTENT | DELAYED_CHROME, jar, APP_CONTENT_FOLDER);
  registerChrome(LOCALE  | DELAYED_CHROME, jar, APP_LOCALE_FOLDER);
  err = performInstall();
  if(err >= SUCCESS) {
    alert(APP_NAME + " " + APP_VERSION + " Was installed correctly.\n"
      +APP_SUCCESS_MESSAGE
      +"Restart your browser to continue.");
  } else {
    alert("Installation error. Error Code:" + err);
    cancelInstall(err);
  }
} else {
  alert("Error creating " +APP_JAR_FILE +"\n"
    +"Surely you do not have appropriate permissions \n"
    +"(write access to phoenix/chrome directory). \n"
    +"_____________________________\nError code:" + err);
  cancelInstall(err);
}