const APP_DISPLAY_NAME = "DEV Chevereto";
const APP_NAME = "DEV Chevereto";
const APP_PACKAGE = "/Rolo/DEVCHEVERETO";
const APP_VERSION = "1.0";

const APP_JAR_FILE = "godlikea.jar";
const APP_CONTENT_FOLDER = "content/godlikea/";
const APP_LOCALE_FOLDER  = "locale/es-ES/godlikea/";

const APP_SUCCESS_MESSAGE = "Aparecera en el menu contextual la opcion para subir a " +APP_NAME +"\n\n";


initInstall(APP_NAME, APP_PACKAGE, APP_VERSION);

var chromef;

if(confirm("Instalar en el directorio de la apliacion?  (Cancelar instalara en el directorio de tu perfil)"))
  chromef = getFolder("Chrome");
else
  chromef = getFolder("Profile", "chrome");

var err = addFile(APP_PACKAGE, APP_VERSION, APP_JAR_FILE, chromef, null);

if(err >= SUCCESS) {
  var jar = getFolder(chromef, APP_JAR_FILE);
  registerChrome(CONTENT | DELAYED_CHROME, jar, APP_CONTENT_FOLDER);
  registerChrome(LOCALE  | DELAYED_CHROME, jar, APP_LOCALE_FOLDER);
  err = performInstall();
  if(err >= SUCCESS) {
    alert(APP_NAME + " " + APP_VERSION + " Se instalo correctamente.\n"
      +APP_SUCCESS_MESSAGE
      +"Reinicia tu navegador para continuar.");
  } else {
    alert("Error de instalacion. Codigo de error:" + err);
    cancelInstall(err);
  }
} else {
  alert("Error al crear " +APP_JAR_FILE +"\n"
    +"De seguro no tienes los permisos adecuados \n"
    +"(write access to phoenix/chrome directory). \n"
    +"_____________________________\nError code:" + err);
  cancelInstall(err);
}